%define reltag 20180810

Name:          schismtracker
Version:       git%{reltag}
Release:       %mkrel 2
Summary:       Schism Tracker is a free and open-source reimplementation of Impulse Tracker
Group:         Sound/Utilities
License:       GPLv2

URL:      http://schismtracker.org
Source0:  https://github.com/schismtracker/%{name}/archive/%{reltag}/%{name}-%{reltag}.tar.gz

BuildRequires: pkgconfig(alsa)
BuildRequires: libSDL-devel


%description
Schism Tracker is a free and open-source reimplementation of
Impulse Tracker, a program used to create high quality music 
without the requirements of specialized, expensive equipment,
and with a unique "finger feel" that is difficult to replicate 
in part. The player is based on a highly modified version of the
ModPlug engine, with a number of bugfixes and changes to improve 
IT playback.
The songs for Schism Tracked are called modules. There is
modarchive.org site with thousandths of modules, which you can
listen and take the samples/instruments for the first time.


%prep
%autosetup -n %{name}-%{reltag} 


%build
libtoolize --force
aclocal
autoheader
automake --force-missing --add-missing
autoreconf -i
%configure
%make_build


%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.xz
%{_datadir}/applications/schism.desktop
%{_datadir}/pixmaps/schism-icon-128.png




%changelog
* Tue Feb 11 2020 umeabot <umeabot> git20180810-2.mga8
+ Revision: 1488948
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 02 2018 semiletov <semiletov> git20180810-1.mga7
+ Revision: 1256296
- update to the upstream release

* Sun Mar 18 2018 semiletov <semiletov> git20180209-1.mga7
+ Revision: 1210266
- update to upstream; spec fixes

* Mon Feb 05 2018 semiletov <semiletov> git20170910-2.mga7
+ Revision: 1199136
+ rebuild (emptylog)

* Fri Dec 22 2017 semiletov <semiletov> git20170910-1.mga7
+ Revision: 1183892
- imported package schismtracker

